# SDIS29-2

Le script Bash zabbix.sh sert à automatiser l'installation et la configuration du serveur de supervision Zabbix **ap32-mon** sur un système Debian.

## Rôle du script zabbix.sh

### 1. Configuration du proxy :
Définit les variables d'environnement http_proxy et https_proxy, ce qui permet aux commandes wget et apt-get de passer par un serveur proxy pour télécharger les paquets nécessaires.

### 2. Téléchargement et installation du paquet Zabbix :
Utilise wget pour télécharger le paquet Zabbix 7.0 spécifique à Debian 12.
Installe le paquet téléchargé avec dpkg, ajoutant ainsi le dépôt officiel de Zabbix aux sources de paquets de la machine.

### 3. Installation des logiciels requis :
Installe Apache et MariaDB avec apt-get pour fournir un serveur web et une base de données pour Zabbix.
Installe les composants principaux de Zabbix : le serveur, l'interface web (frontend), la configuration Apache, les scripts SQL pour la base de données, et l’agent de supervision.

### 4. Configuration de la base de données MariaDB :
Crée la base de données zabbix avec l’encodage UTF-8.
Crée un utilisateur zabbix avec le mot de passe password et lui accorde tous les privilèges sur la base de données Zabbix.
Modifie la variable log_bin_trust_function_creators pour permettre l’importation de fonctions et procédures stockées, puis rétablit sa valeur après l'importation.

### 5. Importation des données dans la base :
Utilise zcat pour décompresser et exécuter le script SQL par défaut de Zabbix, initialisant ainsi la structure de la base de données.

### 6. Configuration de Zabbix :
Modifie le fichier de configuration de Zabbix pour ajouter le mot de passe de l’utilisateur de la base de données.

### 7. Redémarrage et activation des services :
Redémarre et active au démarrage les services Zabbix (serveur et agent) ainsi qu'Apache pour s’assurer que l’interface web et le serveur Zabbix fonctionnent correctement.

### 8. Paramétrage de la locale du système :
Définit la locale du système en en_US.UTF-8 pour s'assurer que l'installation de Zabbix s'exécute dans un environnement linguistique cohérent.


En résumé, ce script installe et configure automatiquement un environnement Zabbix complet sur Debian avec Apache et MariaDB, le rendant prêt pour une utilisation immédiate.


Modification : Adam Alphonso